Skip to Content
Technical Articles

Minimum Release for One-Step System Conversion from SAP ERP 6.0 to SAP S/4HANA 1909

The aim of this article is to highlight the minimum release levels required for a one-step conversion from SAP ERP 6.0 to SAP S/4HANA 1909.

SAP ERP 6.0
One-step system conversion to SAP S/4HANA 1909 is supported from SAP ERP 6.0 EHP0 to EHP8. If your system is on a lower release one-step conversion to SAP S/4HANA 1909 is not possible, instead a two-step process needs to be performed, recommendation is to upgrade to SAP ECC 6.0 EHP7 with DMO including Unicode migration and then carry out the system conversion to SAP S/4HANA 1909. Note that the lowest supported start release for the upgrade and DMO to SAP ECC 6.0 EHP7 is SAP R/3 4.6C.

Database
SAP S/4HANA runs on SAP HANA database only.
If your source SAP ERP system is running on another database (AnyDB) this is ok, you can carry out the conversion using the Software Update Manager (SUM) with the database migration option (DMO) to migrate from AnyDB to SAP HANA in one-step.
If your source SAP ERP system is already running on SAP HANA database (SAP Suite on HANA), you carry out the conversion using SUM without the DMO option.
So the database is not a show-stopper for one-step conversion, you are allowed to migrate from AnyDB to SAP HANA during conversion to SAP S/4HANA 1909.

SAP NetWeaver
The minimum Support Package level of the underlying SAP NetWeaver release for running a one-step system conversion to SAP S/4HANA needs to be:

  • SAP NetWeaver 7.0 SP14
  • SAP EHP1 for SAP NetWeaver 7.0 SP05
  • SAP EHP2 for SAP NetWeaver 7.0 SP06
  • SAP EHP3 for SAP NetWeaver 7.0 SP01
  • SAP NetWeaver 7.4 SP02

Unicode
Please be aware that SAP S/4HANA 1909 is a Unicode-only release. Non-Unicode systems are not supported anymore. If your system is still non-Unicode then one-step conversion is not possible.
You will have to follow a two-step process, by first performing a combined upgrade and Unicode conversion with one of the supported start releases as target, then performing the system conversion to SAP S/4HANA 1909.

Application Server ABAP
Your system has to be an AS ABAP-only system, otherwise the one-step conversion SAP S/4HANA 1909 will not be possible.
Dual-stack systems (AS ABAP and AS Java combined in one system) are not supported for conversion. If your system is a dual-stack system, you have to split it before doing the conversion.

Fiori
We have to mention Fiori after all we are talking about SAP S/4HANA here.
So if you have SAP Fiori apps installed locally on your source system, you need to uninstall them if they are not released for USER INTERFACE TECHNOLOGY 7.50 (SAP_UI 7.50). If you do not uninstall these apps, SAP Maintenance Planer will not allow a conversion for your system.

 

Reference:
Conversion Guide for SAP S/4HANA 1909
2769531 – SAP S/4HANA 1909: Release Information Note
2799003 – SAP S/4HANA 1909: Restriction Note
2816352 – SAP S/4HANA 1909 – application specific notes in system conversion / upgrade preparation phase

 

/
2 Comments
You must be Logged on to comment or reply to a post.